/* $Id: image.h,v 1.2 2001/10/26 13:29:49 fors Exp $
 * ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 * COPYRIGHT (c) 2001 European Southern Observatory
 * LICENSE: GNU General Public License version 2 or later
 *
 * PROJECT:   VLT Data Flow System
 * AUTHOR:    Ralf Palsa -- ESO/DMD/DPG
 * SUBSYSTEM: Instrument pipelines
 *
 * PURPOSE:
 * DESCRIPTION:
 *
 * $Name: fsmosaic-1_0 $
 * $Revision: 1.2 $
 * ----------------------------------------------------------------------------
 */
 
#ifndef _IMAGE_H
#define _IMAGE_H

#define IMAGE_HSIZE_MAX  32768
#define IMAGE_VSIZE_MAX  32768


#undef __BEGIN_DECLS
#undef __END_DECLS
#ifdef __cplusplus
#define __BEGIN_DECLS extern "C" {
#define __END_DECLS }
#else
#define __BEGIN_DECLS
#define __END_DECLS
#endif
 
__BEGIN_DECLS

typedef float pixel_t;

struct _image_t_ {
  int hsize;
  int vsize;
  pixel_t *data;
};

typedef struct _image_t_ image_t;


image_t *image_new(int, int);
void image_del(image_t *);

int image_insert(image_t *, image_t *, int, int);

__END_DECLS
#endif
/* end of image.h */
