/* $Id: overscan.h,v 1.2 2002/01/11 16:22:57 fors Exp $
 * ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 * COPYRIGHT (c) 2001 European Southern Observatory
 * LICENSE: GNU General Public License version 2 or later
 *
 * PROJECT:   VLT Data Flow System
 * AUTHOR:    Ralf Palsa -- ESO/DMD/DPG
 * SUBSYSTEM: Instrument pipelines
 *
 * PURPOSE:
 * DESCRIPTION:
 *
 * $Name: fsmosaic-1_0 $
 * $Revision: 1.2 $
 * ----------------------------------------------------------------------------
 */
 
#ifndef _OVERSCAN_H
#define _OVERSCAN_H

#include <qfits.h>
#include <image.h>

#define PRESCAN_X   "HIERARCH ESO DET OUT1 PRSCX"
#define PRESCAN_Y   "HIERARCH ESO DET OUT1 PRSCY"

#define OVERSCAN_X  "HIERARCH ESO DET OUT1 OVSCX"
#define OVERSCAN_Y  "HIERARCH ESO DET OUT1 OVSCY"


#undef __BEGIN_DECLS
#undef __END_DECLS
#ifdef __cplusplus
#define __BEGIN_DECLS extern "C" {
#define __END_DECLS }
#else
#define __BEGIN_DECLS
#define __END_DECLS
#endif
 
__BEGIN_DECLS

int trim_prescan(qfits_header *, image_t *, unsigned int);
int trim_overscan(qfits_header *, image_t *, unsigned int);

__END_DECLS
#endif
