/* $Id: resampling.h,v 1.1.1.1 2001/08/27 11:27:25 rpalsa Exp $
 * ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 * COPYRIGHT (c) 2001 European Southern Observatory
 * LICENSE: GNU General Public License version 2 or later
 *
 * PROJECT:   VLT Data Flow System
 * AUTHOR:    Ralf Palsa -- ESO/DMD/DPG
 * SUBSYSTEM: Instrument pipelines
 *
 * PURPOSE:
 * DESCRIPTION:
 *   The contents of this file has been extracted from the eclipse library
 *   and modified. 
 *
 *   The original file was resampling.h (Revision 1.13, 2001/07/20) by
 *   N. Devillard.
 *
 * $Name: fsmosaic-1_0 $
 * $Revision: 1.1.1.1 $
 * ----------------------------------------------------------------------------
 */
 
#ifndef _RESAMPLING_H_
#define _RESAMPLING_H_

#include <image.h>

#ifndef PI_NUMB
#define PI_NUMB  (3.1415926535897932384626433832795)
#endif

#define TRANSFO_AFFINE       0
#define TRANSFO_DEG2         1
#define TRANSFO_HOMOGRAPHIC  2


/*
 * Kernel definition in terms of sampling
 */

/* Number of tabulations in kernel  */

#define TABSPERPIX      (1000)
#define KERNEL_WIDTH    (2.0)
#define KERNEL_SAMPLES  (1+(int)(TABSPERPIX * KERNEL_WIDTH))

#define TANH_STEEPNESS	(5.0)


#undef __BEGIN_DECLS
#undef __END_DECLS
#ifdef __cplusplus
#define __BEGIN_DECLS extern "C" {
#define __END_DECLS }
#else
#define __BEGIN_DECLS
#define __END_DECLS
#endif
 
__BEGIN_DECLS

double *generate_interpolation_kernel(char *);
double *generate_tanh_kernel(double);

double sinc(double);

image_t *image_transform(image_t *, image_t *, double *, char *);
double *invert_linear_transform(double *);

__END_DECLS
#endif




